Package de.gebit.integrity.eclipse.running

## Class TestActionConfigurationDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - de.gebit.integrity.eclipse.running.TestActionConfigurationDialog

- All Implemented Interfaces:
    `org.eclipse.jface.window.IShellProvider`

      public class TestActionConfigurationDialog
      extends org.eclipse.jface.dialogs.Dialog

  The configuration dialog for the "launch-and-connect" feature.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `org.eclipse.jface.window.Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK, resizeHasOccurred`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TestActionConfigurationDialog​(org.eclipse.jface.window.IShellProvider aParentShell)` | Creates a new instance.
    `` | `TestActionConfigurationDialog​(org.eclipse.swt.widgets.Shell aParentShell, org.eclipse.debug.core.ILaunchConfiguration aPreselectedConfiguration)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `configureShell​(org.eclipse.swt.widgets.Shell aShell)` |
    `void` | `create()` |
    `protected org.eclipse.swt.widgets.Control` | `createDialogArea​(org.eclipse.swt.widgets.Composite aParent)` |
    `protected org.eclipse.swt.widgets.Layout` | `getLayout()` |
    `org.eclipse.debug.core.ILaunchConfiguration` | `getSelectedConfiguration()` |
    `protected void` | `initializeBounds()` |
    `protected void` | `okPressed()` |

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createButtonBar, createButtonsForButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestActionConfigurationDialog

          protected TestActionConfigurationDialog​(org.eclipse.jface.window.IShellProvider aParentShell)

      Creates a new instance.
      Parameters:
        `parentShell` -

    - #### TestActionConfigurationDialog

          public TestActionConfigurationDialog​(org.eclipse.swt.widgets.Shell aParentShell,
                                               org.eclipse.debug.core.ILaunchConfiguration aPreselectedConfiguration)

      Creates a new instance.
      Parameters:
        `aParentShell` -

  - ### Method Detail

    - #### create

          public void create()

      Overrides:
        `create` in class `org.eclipse.jface.dialogs.Dialog`

    - #### initializeBounds

          protected void initializeBounds()

      Overrides:
        `initializeBounds` in class `org.eclipse.jface.dialogs.Dialog`

    - #### configureShell

          protected void configureShell​(org.eclipse.swt.widgets.Shell aShell)

      Overrides:
        `configureShell` in class `org.eclipse.jface.window.Window`

    - #### getLayout

          protected org.eclipse.swt.widgets.Layout getLayout()

      Overrides:
        `getLayout` in class `org.eclipse.jface.window.Window`

    - #### createDialogArea

          protected org.eclipse.swt.widgets.Control createDialogArea​(org.eclipse.swt.widgets.Composite aParent)

      Overrides:
        `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`

    - #### okPressed

          protected void okPressed()

      Overrides:
        `okPressed` in class `org.eclipse.jface.dialogs.Dialog`

    - #### getSelectedConfiguration

          public org.eclipse.debug.core.ILaunchConfiguration getSelectedConfiguration()